Bug 143809 - pair of local variables used before set
pair of local variables used before set
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-28 09:51 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.0.24-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 10:18:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-12-28 09:51:26 EST
Description of problem:

I just tried to compile package samba-3.0.10-2 from 
Redhat Fedora development tree.

The compiler said

1.

smbd/lanman.c(2149): remark #592: variable "snum" is used before its
value is set

The source code is

                if (print_job_delete(&current_user, snum, jobid, &werr))

Suggest init snum before first use.

2.

smbd/lanman.c(2970): remark #592: variable "snum" is used before its
value is set

The source code is

  if (snum < 0 || !VALID_SNUM(snum)) return(False);

Suggest init snum before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Guenther Deschner 2007-03-15 10:18:36 EDT
A lot of code cleanup has been done in Samba. This surely is fixed in 3.0.24,
please reopen if still an issue.
Comment 2 Guenther Deschner 2007-03-15 10:19:09 EDT
A lot of code cleanup has been done in Samba. This surely is fixed in 3.0.24,
please reopen if still an issue.

Note You need to log in before you can comment on or make changes to this bug.